
_define_cs:

;mcu_driver.c,6 :: 		void define_cs ( uint8_t io_state )
;mcu_driver.c,8 :: 		AD1PCFGH = 0xFFFF;
	MOV	#65535, W0
	MOV	WREG, AD1PCFGH
;mcu_driver.c,9 :: 		AD1PCFGL = 0xFFFF;
	MOV	#65535, W0
	MOV	WREG, AD1PCFGL
;mcu_driver.c,10 :: 		AD2PCFGL = 0xFFFF;
	MOV	#65535, W0
	MOV	WREG, AD2PCFGL
;mcu_driver.c,11 :: 		TRISC2_bit = io_state;//IEN define
	BTSS	W10, #0
	BCLR	TRISC2_bit, BitPos(TRISC2_bit+0)
	BTSC	W10, #0
	BSET	TRISC2_bit, BitPos(TRISC2_bit+0)
;mcu_driver.c,12 :: 		}
L_end_define_cs:
	RETURN
; end of _define_cs

_define_int:

;mcu_driver.c,14 :: 		void define_int ( uint8_t io_state )
;mcu_driver.c,16 :: 		AD1PCFGH = 0xFFFF;
	MOV	#65535, W0
	MOV	WREG, AD1PCFGH
;mcu_driver.c,17 :: 		AD1PCFGL = 0xFFFF;
	MOV	#65535, W0
	MOV	WREG, AD1PCFGL
;mcu_driver.c,18 :: 		AD2PCFGL = 0xFFFF;
	MOV	#65535, W0
	MOV	WREG, AD2PCFGL
;mcu_driver.c,19 :: 		TRISA12_bit = io_state;//INT define
	BTSS	W10, #0
	BCLR	TRISA12_bit, BitPos(TRISA12_bit+0)
	BTSC	W10, #0
	BSET	TRISA12_bit, BitPos(TRISA12_bit+0)
;mcu_driver.c,20 :: 		}
L_end_define_int:
	RETURN
; end of _define_int

_log_init:

;mcu_driver.c,22 :: 		void log_init ( void )
;mcu_driver.c,24 :: 		UART2_Init( LOG_BAUD );
	PUSH	W10
	PUSH	W11
	MOV	#9600, W10
	MOV	#0, W11
	CALL	_UART2_Init
;mcu_driver.c,25 :: 		}
L_end_log_init:
	POP	W11
	POP	W10
	RETURN
; end of _log_init

_log_text:

;mcu_driver.c,27 :: 		void log_text ( uint8_t *txt_data )
;mcu_driver.c,29 :: 		UART_Write_Text( txt_data );
	CALL	_UART_Write_Text
;mcu_driver.c,30 :: 		}
L_end_log_text:
	RETURN
; end of _log_text

_log_line:

;mcu_driver.c,32 :: 		void log_line ( uint8_t *txt_data )
;mcu_driver.c,34 :: 		UART_Write_Text( txt_data );
	PUSH	W10
	CALL	_UART_Write_Text
;mcu_driver.c,35 :: 		UART_Write( 13 );
	MOV	#13, W10
	CALL	_UART_Write
;mcu_driver.c,36 :: 		UART_Write( 10 );
	MOV	#10, W10
	CALL	_UART_Write
;mcu_driver.c,37 :: 		}
L_end_log_line:
	POP	W10
	RETURN
; end of _log_line

_dev_i2c_init:

;mcu_driver.c,39 :: 		void dev_i2c_init ( void )
;mcu_driver.c,41 :: 		I2C2_Init( I2C_SPEED );
	PUSH	W10
	PUSH	W11
	MOV	#34464, W10
	MOV	#1, W11
	CALL	_I2C2_Init
;mcu_driver.c,42 :: 		}
L_end_dev_i2c_init:
	POP	W11
	POP	W10
	RETURN
; end of _dev_i2c_init

_dev_i2c_start:

;mcu_driver.c,44 :: 		void dev_i2c_start ( void )
;mcu_driver.c,46 :: 		I2C2_Start(  );
	CALL	_I2C2_Start
;mcu_driver.c,47 :: 		}
L_end_dev_i2c_start:
	RETURN
; end of _dev_i2c_start

_dev_i2c_stop:

;mcu_driver.c,49 :: 		void dev_i2c_stop ( void )
;mcu_driver.c,51 :: 		I2C2_Stop(  );
	CALL	_I2C2_Stop
;mcu_driver.c,52 :: 		}
L_end_dev_i2c_stop:
	RETURN
; end of _dev_i2c_stop

_dev_i2c_write:

;mcu_driver.c,54 :: 		void dev_i2c_write ( uint8_t tx_byte )
;mcu_driver.c,56 :: 		I2C2_Write( tx_byte );
	CALL	_I2C2_Write
;mcu_driver.c,57 :: 		}
L_end_dev_i2c_write:
	RETURN
; end of _dev_i2c_write

_dev_i2c_read:

;mcu_driver.c,59 :: 		uint8_t dev_i2c_read ( void )
;mcu_driver.c,61 :: 		return I2C2_Read( _I2C_NACK );
	PUSH	W10
	MOV	#1, W10
	CALL	_I2C2_Read
;mcu_driver.c,62 :: 		}
;mcu_driver.c,61 :: 		return I2C2_Read( _I2C_NACK );
;mcu_driver.c,62 :: 		}
L_end_dev_i2c_read:
	POP	W10
	RETURN
; end of _dev_i2c_read
