#include "mcu_driver.h"
#include "cfg_communication.h"

#define DUMMY 0x00

void define_cs ( uint8_t io_state )
{
    TRISL1_bit = io_state;//IEN define
}

void define_int ( uint8_t io_state )
{
    TRISB0_bit = io_state;//INT define
}

void log_init ( void )
{
    UART1_Init( LOG_BAUD );
}

void log_text ( uint8_t *txt_data )
{
    UART_Write_Text( txt_data );
}

void log_line ( uint8_t *txt_data )
{
    UART_Write_Text( txt_data );
    UART_Write( 13 );
    UART_Write( 10 );
}

void dev_i2c_init ( void )
{
    I2C1_Init( I2C_SPEED );
}

void dev_i2c_start ( void )
{
    I2C1_Start(  );
}

void dev_i2c_stop ( void )
{
    I2C1_Stop(  );
}

void dev_i2c_write ( uint8_t tx_byte )
{
    I2C1_Wr( tx_byte );
}

uint8_t dev_i2c_read ( void )
{
    return I2C1_Rd( _I2C_NACK );
}